Bug 1074266 - ghostscript-fonts is outdated (will be replaced by new urw-base35-fonts package)
ghostscript-fonts is outdated (will be replaced by new urw-base35-fonts package)
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
All openSUSE Factory
: P5 - None : Enhancement (vote)
: ---
Assigned To: Johannes Meixner
E-mail List
https://build.opensuse.org/package/sh...
maint:planned:update
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-01 15:35 UTC by Joshua Krämer
Modified: 2020-05-15 13:45 UTC (History)
2 users (show)

See Also:
Found By: Community User
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Krämer 2018-01-01 15:35:42 UTC
URW's base 35 fonts provided by ghostscript-fonts-std and ghostscript-fonts-other are severely outdated (almost 6 years old). They should be replaced by the current fonts, available here:

https://github.com/ArtifexSoftware/urw-base35-fonts

Also, the ghostscript-fonts-* packages should probably be renamed to urw-base35-fonts.

The current outdated fonts have old formats and old names, which are for example no longer compatible with the current fontconfig files, available here:

https://github.com/ArtifexSoftware/urw-base35-fonts/tree/master/fontconfig
Comment 1 Stefan Dirsch 2018-01-08 19:47:10 UTC
Reassigning to package maintainer.
Comment 2 Stefan Brüns 2018-03-02 21:25:12 UTC
I have started packaging the URW++ Base 35 fonts, but this is far from finished:
https://build.opensuse.org/package/show/home:StefanBruens:branches:Printing/urw-base35-fonts

Currently, there are some (upstream) issues with these fonts:
- OTF version is broken, see https://github.com/ArtifexSoftware/urw-base35-fonts/issues/21#issuecomment-369889045
  This will hopefully be fixed soon (~ end of march)

- the metrics of the current version are incompatible from the original release 7 years ago. https://github.com/ArtifexSoftware/urw-base35-fonts/issues/16

We currently already have 3 different versions of e.g. Nimbus Sans Regular:
$> fc-list |  grep -E 'Nimbus Sans.*style=Regular$'   
/usr/share/fonts/texlive-helvetic/uhvr8a-105.pfb: Nimbus Sans L:style=Regular
/usr/share/fonts/texlive-helvetic/uhvr8a.pfb: Nimbus Sans L:style=Regular
/usr/share/fonts/ghostscript/n019003l.pfb: Nimbus Sans L:style=Regular
, this won't get better if we add another one
Comment 3 Johannes Meixner 2018-03-05 08:26:37 UTC
Stefan Brüns,
feel free to submit a new font package to the OBS Printing project
even if it is currently under development because
---------------------------------------------------------------------
The "Printing" development project may contain
new software or work-in-progress changes of
existing software that might neither be in
a stable state nor fit well into currently
installed systems.
---------------------------------------------------------------------
cf. https://build.opensuse.org/project/show/Printing

But a precondition for a font package in the Printing project
is that those fonts directly belong to the base printing system
for example when those fonts are really required by Ghostscript.
In this case I could "just accept" a new font package.

In contrast optional additional fonts would better belong
to a specific font project in the OBS e.g. M17N:fonts
or something like that, see
https://build.opensuse.org/project/show/M17N:fonts
and therein the link to
https://en.opensuse.org/openSUSE:Packaging_Fonts

FYI:

I know basically nothing at all about fonts and their packaging.

I inherited the content of our current ghostscript-fonts package from
our old ghostscript-library "all-in-one" package that contained
Ghostscript plus several other stuff like fonts for Ghostscript
which contained 7 separated upstream source 'tar' achives, cf.
https://build.opensuse.org/package/show/openSUSE:Dropped/ghostscript-library

I had only split the fonts into a separated package, see
https://bugzilla.opensuse.org/show_bug.cgi?id=735824
for all the details at that time and in particular
regarding the fonts see therein starting at
https://bugzilla.opensuse.org/show_bug.cgi?id=735824#c43
and subsequent comments.
Comment 4 Stefan Brüns 2018-03-05 15:31:03 UTC
(In reply to Johannes Meixner from comment #3)
> Stefan Brüns,
> feel free to submit a new font package to the OBS Printing project
> even if it is currently under development because
> ---------------------------------------------------------------------
> The "Printing" development project may contain
> new software or work-in-progress changes of
> existing software that might neither be in
> a stable state nor fit well into currently
> installed systems.
> ---------------------------------------------------------------------
> cf. https://build.opensuse.org/project/show/Printing

I will submit the package as soon as reasonable, but currently it is broken 
in to many aspects to be useful at all.
 
> But a precondition for a font package in the Printing project
> is that those fonts directly belong to the base printing system
> for example when those fonts are really required by Ghostscript.
> In this case I could "just accept" a new font package.
> 
> In contrast optional additional fonts would better belong
> to a specific font project in the OBS e.g. M17N:fonts
> or something like that, see
> https://build.opensuse.org/project/show/M17N:fonts
> and therein the link to
> https://en.opensuse.org/openSUSE:Packaging_Fonts

I think in this case Printing is the right project:
- the base 35 fonts are part of the Postscript Level 2 specification, which
  makes them part of the printing stack
- they are redistributed on Github by Artifex (i.e. Ghostscript)
- its the same fonts as bundled (for convenience) in Ghostscript

> FYI:
> 
> I know basically nothing at all about fonts and their packaging.
> 
> I inherited the content of our current ghostscript-fonts package from
> our old ghostscript-library "all-in-one" package that contained
> Ghostscript plus several other stuff like fonts for Ghostscript
> which contained 7 separated upstream source 'tar' achives, cf.
> https://build.opensuse.org/package/show/openSUSE:Dropped/ghostscript-library
> 
> I had only split the fonts into a separated package, see
> https://bugzilla.opensuse.org/show_bug.cgi?id=735824
> for all the details at that time and in particular
> regarding the fonts see therein starting at
> https://bugzilla.opensuse.org/show_bug.cgi?id=735824#c43
> and subsequent comments.

The current upstream motion (apparently pushed by distributions) seems to be
somewhat reversing the earlier steps, the base 35 fonts are still bundled in the
ghostscript tarball, but also made available as an independent repository, where
the latter also includes fontconfig data.

The base 35 fonts currently provided in the ghostscript-fonts-std package have
a significantly smaller glyph coverage than the one bundled with ghostscript
(which are identical to the ones in the urw-base35-fonts gh repository). This has
the effect that e.g. a PDF document referring to Adobe Times or Helvetica will
render differently in Ghostscript (using a current Nimbus Roman/Sans) and
Evince/Okular (Poppler) (apparently using Liberation Serif/Sans).
Comment 5 Stefan Brüns 2018-03-16 22:22:49 UTC
FYI: Just created a SR to Printing:
https://build.opensuse.org/request/show/588023

Feel free to test them.
Comment 6 Johannes Meixner 2018-03-20 09:12:15 UTC
Now there is the new package urw-base35-fonts
in the OBS development project "Printing"
which is meant to be a complete replacement
of ghostscript-fonts-std in the long term,
see the comments for request 588023 at
https://build.opensuse.org/request/show/588023

Stefan Brüns
many thanks for all your work and
for your valuable contributions!

Joshua Krämer,
please test the urw-base35-fonts package
in the OBS "Printing" project, cf.
https://build.opensuse.org/project/show/Printing
Comment 7 Johannes Meixner 2018-03-20 09:18:47 UTC
Joshua Krämer,

FYI:

The current ghostscript package in the OBS "Printing" project
which contains Ghostscript 9.23rc1 (first release candidate for 9.23)
does no longer require any fonts packages in particular it
neither requires ghostscript-fonts-std because the PostScript
Base35 fonts are already provided by Ghostscript (in 'Resource')
nor does it require ghostscript-fonts-other
(which provides Bitream Charter, Adobe Utopia, URW Antiqua,
 URW Grotesq and Hershey fonts where all but the last are
 also provided by texlive-<name>-fonts) and
those fonts are not required for PostScript compliance, see
https://bugzilla.opensuse.org/show_bug.cgi?id=1082896#c13
Comment 8 Swamp Workflow Management 2018-03-22 13:20:05 UTC
This is an autogenerated message for OBS integration:
This bug (1074266) was mentioned in
https://build.opensuse.org/request/show/590297 Factory / ghostscript
Comment 9 Joshua Krämer 2018-03-25 00:39:47 UTC
I have tested ghostscript-9.23 and the new urw-base35-fonts packages and both seem to work as expected. For instance, default PostScript fonts in a PDF file are displayed correctly when viewed with Ghostview and also when viewed with Okular.

However, I think the fonts should be installed to /usr/share/fonts/type1, because they are Type 1 OTF files.

Additionally, there is an upstream bug in the fontconfig files: "TeX Gyre Heros" is misspelled as "TeX Gyre Heroes" (I will report it on Github).
Comment 10 Johannes Meixner 2018-03-26 09:30:09 UTC
Joshua Krämer,
many thanks for testing it, for your feedback,
and for your upstream issue report.

It helps us (i.e. openSUSE) a lot when real users "out there"
test our "latest greatest stuff" for their real use-cases
on their real hardware in their real environments and
it helps even more when upstream issues get directly
reported upstream (because that helps all Linux users).

Could you post the URL of your GitHub issue here as reference?
Comment 11 Joshua Krämer 2018-04-02 16:55:44 UTC
Thank you very much for the new urw-base35-fonts package! I'm glad if I can help. This is the URL of the upstream GitHub issue:

https://github.com/ArtifexSoftware/urw-base35-fonts/issues/23
Comment 14 Johannes Meixner 2020-05-15 13:45:05 UTC
I am afraid in the foreseeable future I won't find any time
to further move this issue forward so all _I_ can do is to
close it as "wontfix" (at least for the foreseeable future)
which does of course not mean someone else at openSUSE
could not help here and continue to work on this issue ;-)